﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace DynamicLayerRefreshIssue
{
    public partial class Default : System.Web.UI.Page, ICallbackEventHandler
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);
            }
        }

        public string GetCallbackResult()
        {
            return "returnvalue";
        }
        public const string MapDefaultIcon = "images/redflag.gif";
        public void RaiseCallbackEvent(string eventArgument)
        {
            MultipointShape eachPointContainerShape = new MultipointShape();
            eachPointContainerShape.Points.Add(new PointShape(-94.48242, 38.75977));
            InMemoryFeatureLayer eachFeatureLayer = new InMemoryFeatureLayer();
            eachFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            eachFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            eachFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle.PointType = PointType.Bitmap;
            eachFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle.Image = new GeoImage(System.Web.HttpContext.Current.Server.MapPath(MapDefaultIcon));
            eachFeatureLayer.InternalFeatures.Add(new Feature(eachPointContainerShape));
            Map1.DynamicOverlay.Layers.Add(eachFeatureLayer);
        }
    }
}